import tensorflow as tf
from keras.preprocessing import image
import matplotlib.pyplot as plt
import cv2
import numpy as np
from collections import Counter

Savedmodel = tf.keras.models.load_model('./emotion_lts.h5')
Savedmodel.summary()

objects = ('Angry', 'Happy', 'Sad', 'Neutral')
vid = cv2.VideoCapture(0)

def emotion_analysis(emotions):
    objects = ['Angry', 'Happy', 'Sad', 'Neutral']
    y_pos = np.arange(len(objects))
    plt.bar(y_pos, emotions, align='center', alpha=0.9)
    plt.tick_params(axis='x', which='both', pad=10, width=4, length=10)
    plt.xticks(y_pos, objects)
    plt.ylabel('percentage')
    plt.title('emotion')


videoDir = './speechVideo'
cap = cv2.VideoCapture('./speechVideo/speech.mp4')

while(cap.isOpened()):
  ret,frame=cap.read()
  # img = image.load_img(frame,grayscale=True, target_size=(48, 48))
  frame = cv2.resize(frame,(48,48))
  frame = cv2.cvtColor(frame,cv2.COLOR_BGR2GRAY)
  x = image.img_to_array(frame)
  x = np.expand_dims(x, axis = 0)

  x /= 255

  custom = Savedmodel.predict(x)
  #print(custom[0])
  emotion_analysis(custom[0])

  x = np.array(x, 'float32')
  x = x.reshape([48, 48]);


  m=0.000000000000000000001
  a=custom[0]
  for i in range(0,len(a)):
      if a[i]>m:
          m=a[i]
          ind=i



  print('Expression Prediction:',objects[ind])





  if cv2.waitKey(20) & 0XFF == ord('q'):
    break

cap.release()
cv2.destroyAllWindows()

